%global dlrn_nvr vmware-nsx-15.0.1.dev31-0.20191202204459.63b82d2
%global dlrn 1
%define upstream_version 15.0.1.dev31
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{commit}}
%global commit de18ebfc3ae28b85ce33e6933f33754c0cf88413
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
%{?dlrn: %global tarsources %{srcname}-%{upstream_version}}
%{!?dlrn: %global tarsources %{srcname}}


%global drv_vendor VMware
%global srcname vmware-nsx
%global docpath doc/build/html
%global service neutron
%global pyname vmware_nsx
%global rhosp 1

%global with_doc 0

Name:           python-networking-%{srcname}
Version: 15.0.1
Release: 0.20191202204459.63b82d2%{?dist}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
# TODO: really, there are no packages on PyPI or anywhere else
URL:            https://pypi.python.org/pypi/%{srcname}
Source0: vmware-nsx-15.0.1.dev31-0.20191202204459.63b82d2.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=63b82d20a54ef02b62a385a4f1fd911325c34288

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-mock >= 2.0.0
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-tenacity
BuildRequires:  python%{pyver}-vmware-nsxlib
# Required for config file generation
BuildRequires:  python%{pyver}-debtcollector
BuildRequires:  python%{pyver}-oslo-config >= 2:5.1.0
BuildRequires:  python%{pyver}-oslo-i18n >= 3.15.3
BuildRequires:  python%{pyver}-oslo-vmware >= 2.17.0
BuildRequires:  python%{pyver}-neutron
BuildRequires:  openstack-macros

%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.

%package -n python%{pyver}-networking-%{srcname}
%{?python_provide:%python_provide python%{pyver}-networking-%{srcname}}
Summary:        %{drv_vendor} OpenStack Neutron driver
%if %{pyver} == 3
Obsoletes: python2-%{srcname} < %{version}-%{release}
%endif

%if 0%{?rhosp} == 0
Requires:       openstack-neutron-fwaas >= 1:12.0.0
Requires:       openstack-neutron-vpnaas >= 1:12.0.0
%endif
Requires:       openstack-neutron-common >= 1:12.0.0
Requires:       python%{pyver}-eventlet >= 0.24.1
Requires:       python%{pyver}-netaddr >= 0.7.18
Requires:       python%{pyver}-networking-l2gw >= 12.0.0
Requires:       python%{pyver}-networking-sfc >= 6.0.0
Requires:       python%{pyver}-neutron >= 1:13.0.0
Requires:       python%{pyver}-neutron-dynamic-routing >= 12.0.0
Requires:       python%{pyver}-neutron-lib >= 1.25.0
Requires:       python%{pyver}-openstackclient >= 3.16.0
Requires:       python%{pyver}-osc-lib >= 1.10.0
Requires:       python%{pyver}-oslo-concurrency >= 3.26.0
Requires:       python%{pyver}-oslo-config >= 2:5.2.0
Requires:       python%{pyver}-oslo-context >= 2.19.2
Requires:       python%{pyver}-oslo-db >= 4.37.0
Requires:       python%{pyver}-oslo-i18n >= 3.15.3
Requires:       python%{pyver}-oslo-log >= 3.36.0
Requires:       python%{pyver}-oslo-serialization >= 2.18.0
Requires:       python%{pyver}-oslo-service >= 1.31.0
Requires:       python%{pyver}-oslo-utils >= 3.33.0
Requires:       python%{pyver}-oslo-vmware >= 2.17.0
Requires:       python%{pyver}-pbr >= 4.0.0
Requires:       python%{pyver}-prettytable >= 0.7.2
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-sqlalchemy >= 1.2.0
Requires:       python%{pyver}-stevedore >= 1.20.0
Requires:       python%{pyver}-tenacity >= 4.4.0
Requires:       python%{pyver}-tooz >= 1.58.0
Requires:       python%{pyver}-vmware-nsxlib >= 12.0.0
Requires:       python%{pyver}-ovsdbapp >= 0.10.0

# Handle python2 exception
%if %{pyver} == 2
Requires:       python-decorator
Requires:       python-enum34
Requires:       python-httplib2 >= 0.9.1
%else
Requires:       python%{pyver}-decorator
Requires:       python%{pyver}-httplib2 >= 0.9.1
%endif

%description -n python%{pyver}-networking-%{srcname}
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%if 0%{?with_doc}
%package doc
Summary:        %{summary} documentation


%description doc
This package contains documentation for %{drv_vendor} networking driver for
OpenStack Neutron.
%endif

%prep
%autosetup -n %{tarsources} -S git

%py_req_cleanup


%build
%{pyver_build}

%if 0%{?with_doc}
sphinx-build-%{pyver} -b html doc/source doc/build/html
rm -rf %{docpath}/.buildinfo %{docpath}/.doctrees
%endif


%install
export PBR_VERSION=%{version}
%{pyver_install}

# Generate configuration files
PYTHONPATH=.
for file in `ls etc/oslo-config-generator/*`; do
    oslo-config-generator-%{pyver} --config-file=$file
done

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware
mv etc/nsx.ini.sample %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware/nsx.ini

%files -n python%{pyver}-networking-%{srcname}
%license LICENSE
%{_bindir}/nsx-migration
%{_bindir}/neutron-check-nsx-config
%{_bindir}/nsxadmin
%{pyver_sitelib}/%{pyname}
%{pyver_sitelib}/%{pyname}-%{version}-*.egg-info
%dir %{_sysconfdir}/%{service}/plugins/vmware
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/vmware/*.ini


%if 0%{?with_doc}
%files doc
%license LICENSE
%doc %{docpath}
%endif

%changelog
* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.de18ebfgit
- Update patches
- NSX|P: Replace passthrough api for edge nodes with policy api

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.65a26adgit
- Update patches
- Merge "NSX|P: Use the policy lib for lb tags instread of nsxlib" into stable/train
- NSX|P: Use the policy lib for lb tags instread of nsxlib

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.a09d18cgit
- Update patches
- NSX|P: verify segment realization before creating MP md proxy

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.db38337git
- Update patches
- NSX|P: Use transactions for NAT rules create and delete

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.02030fcgit
- Update patches
- NSX|P: Use transactions for security groups and rules creation

* Sun Nov 17 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0774ec7git
- Update patches
- Pre-migration config files generation

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d9053a8git
- Update patches
- NSX|V: Fix error handling for distributed router interface

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.07913a1git
- Update patches
- DVS: Improve port actions performance

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3d8223fgit
- Update patches
- NSX|V3+P: support removing LB listener default pool

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cc59594git
- Update patches
- NSX|V3: Fix vpnaas driver getting tier0

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad10712git
- Update patches
- NSXV: fix router static routes for non-admin users

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.096a36cgit
- Update patches
- NSX|P: Fix typo in comment

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.12e9682git
- Update patches
- Pre-migration checks admin utility

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.269fb16git
- Update patches
- NSX|V3+P: Prevent IPv6 default router creation as static route

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.16b08d8git
- Update patches
- NSX|P: Use transactional API for router actions

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f0fe542git
- Update patches
- NSX|P: Use transactional API for port create & update

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.37d4999git
- Update patches
- Merge "Fix octavia driver unittests" into stable/train
- Fix octavia driver unittests
- Octavia driver: agent implementation

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.854af36git
- Update patches
- Merge "NSX|V3+P: Improve subnet create & update with DHCP" into stable/train
- NSX|V3+P: Improve subnet create & update with DHCP
- NSX|V3+P: Validate static routes ip version

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.091b204git
- Update patches
- NSX|P: support policy MDproxy

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ba65797git
- Update patches
- Merge "NSX|P: Fix metadata get_subnets" into stable/train
- NSX|P: Fix metadata get_subnets

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cb299cagit
- Update patches
- Merge "NSX|V: Validate SG rule remote-ip-prefix is not 0.0.0.0/x" into stable/train
- NSX|V: Validate SG rule remote-ip-prefix is not 0.0.0.0/x

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.45721b7git
- Update patches
- NSX-TVD: Copy filters dict before calling plugin

* Sun Oct 27 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c61078cgit
- Update patches
- Fix .gitreview for stable branch
- update tox for stable branch

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b26bfb5git
- Update patches
- Merge "NSX|V3+P: Fix MDProxy TZ validation"
- Merge "NSX|v+v3+p: Allow resetting port binding host"
- NSX|V3+P: Fix MDProxy TZ validation
- NSX|v+v3+p: Allow resetting port binding host

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8f6b8a1git
- Update patches
- NSX|P: Fail network creation of mdproxy creation fails

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9ee9ed4git
- Update patches

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "NSX|V: Configurable backend security group name"
- NSX|V: Configurable backend security group name
- NSX|V3+P: Validate network TZ match the MDproxy one

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix master branch lower-constrains

